.sidebar {
    height: 100vh;
    position: relative;
}

@media (max-width: 768px) {
    .sidebar {
        width: 100%;
        height: auto;
        position: relative;
        display: flex !important;
        flex-direction: row !important;
        justify-content: center;
    }

    .content-area {
        margin-left: 0;
    }

    .nav-item {
        display: flex !important;
        flex-direction: row !important;
        gap: 15px;
    }
}

.details-container {
    display: flex;
    flex-wrap: wrap;
    /* Allow wrapping for responsiveness */
    gap: 15px;
    /* Space between columns */
    justify-content: center;
    align-content: center;
    /* width: 100%; */
}

canvas {
    max-width: 900px;
    /* Increased width */
    width: 100%;
    /* Responsive */
    margin: 50px auto;
}

.details-container>.col {
    box-shadow: 1px 1px 3px 2px rgb(134, 127, 127);
    flex: 1 1 calc(50% - 15px);
    padding: 15px;
    /* Adjust width to 50% minus gap */
    box-sizing: border-box;
    margin-bottom: 15px;
    border-radius: 8px;
    height: fit-content
        /* Ensure padding and borders are included in the width */
}


@media (max-width:569px) {
    .details-container {
        display: block;
    }

    .details-container>.col {
        width: 100%;
        height: fit-content;

    }
}